Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 19 Nov 2017, 06:39
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
vivaldi browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 7 [93 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7
Author Message
howardshippin

Joined: 13 Jan 2015
Posts: 20

PostPosted: Sat 28 Oct 2017, 14:14    Post subject:  

Hi - that link for vivaldi doesn't seem to work properly... gives me an xml file with "SQLite3Result::fetchArray(): Unable to execute statement: database disk image is malformed". Tried also the augras.eu root directory and don't find vivaldi listed among the telechargements / downloads.
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1631
Location: London, England

PostPosted: Sun 29 Oct 2017, 12:15    Post subject:  

Vivaldi 1.12 (stable) is based on Chromium 61
My slightly tweaked package runs out of the box quite nicely in Dpup Stretch.
That is why I uploaded it here:-
https://yadi.sk/d/nzC5YTU93MgVaf?force_show=1
For some of the other very recent Puppies you may find that you can get it to work without too many modifications.


In TahrPup 6.0.5 for example:-

1) Install libgtk-3 via PPM

2) Update PaleMoon to latest version because this has the newer NSS libs needed by Vivaldi 1.12

3) Make sure those newer NSS libs can be found and are given priority. There are various ways to do this, but one easy method is to add the /opt/palemoon directory to LD_LIBRARY_PATH in first position in the wrapper script /opt/vivaldi/vivaldi-pup thus:-
Code:
export LD_LIBRARY_PATH=/opt/palemoon:/opt/vivaldi/lib:$LD_LIBRARY_PATH


For slightly earlier Puppies such as Precise, 14.0 Slackos and Dpup Wheezy there is still Vivaldi 1.9 with updated Pepper Flash here:-
https://yadi.sk/d/euoIiDRDqcFnK?force_show=1
vivaldi-tahr.jpg
 Description   Vivaldi 1.12 based on Chromium 61 running in TahrPup with a few simple steps.
 Filesize   37.73 KB
 Viewed   162 Time(s)

vivaldi-tahr.jpg


_________________
Oscar in England

Back to top
View user's profile Send private message 
howardshippin

Joined: 13 Jan 2015
Posts: 20

PostPosted: Mon 30 Oct 2017, 06:11    Post subject:  

Well, I eventually managed to install the 64-bit version of Vivaldi 1.12 made by Terry H (http://www.murga-linux.com/puppy/viewtopic.php?search_id=1458126869&t=111963), which worked after following the same instructions of Oscartalks for his 32-bit version and modifying the script so it didn't ask for -- no-sandbox.

With the 32-bit version of Oscartalks, in my 64-bit Tahr 6.05, there was a complaint about the wrong ELF class.



I was upgrading from a Vivaldi 1.9 64-bit Vivaldi.
Thanks everyone.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 7 of 7 [93 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0365s ][ Queries: 12 (0.0064s) ][ GZIP on ]